<?php

/**
 * This file contains QUI\ControlUtils
 */

namespace QUI;

use Exception;
use QUI;

use function preg_replace;
use function trim;

/**
 * Control Utils
 *
 * @author www.pcsg.de (Henning Leutz)
 */
class ControlUtils
{
    /**
     * Return the complete html from a php control
     *
     * @param Control $Control
     * @return string
     * @throws Exception
     */
    public static function parse(Control $Control): string
    {
        $result = $Control->create();
        $result .= QUI\Control\Manager::getCSS();

        return $result;
    }

    /**
     * Filter CSS class name
     *
     * @param string $cssClass
     * @return string
     */
    public static function clearClassName(string $cssClass): string
    {
        return trim(preg_replace('#[^_a-zA-Z0-9-:/]#', ' ', $cssClass));
    }
}
